Table of Contents

## Name

glGetHistogramParameterfv, glGetHistogramParameteriv - get histogram

parameters

## C Specification

void glGetHistogramParameterfv( GLenum target,

        GLenum pname,
        GLfloat *params )

void glGetHistogramParameteriv( GLenum target,

        GLenum pname,
        GLint *params )

## Parameters

target
  Must be one of GL_HISTOGRAM or GL_PROXY_HISTOGRAM.
pname
  The name of the parameter to be retrieved. Must be one of GL_HISTOGRAM_WIDTH, GL_HISTOGRAM_FORMAT, GL_HISTOGRAM_RED_SIZE, GL_HISTOGRAM_GREEN_SIZE, GL_HISTOGRAM_BLUE_SIZE, GL_HISTOGRAM_ALPHA_SIZE, GL_HISTOGRAM_LUMINANCE_SIZE, or GL_HISTOGRAM_SINK.
params
  Pointer to storage for the returned values.

## Description

glGetHistogramParameter is used to query parameter values for the current histogram or for a proxy. The histogram state information may be queried by calling glGetHistogramParameter with a target of GL_HISTOGRAM (to obtain information for the current histogram table) or GL_PROXY_HISTOGRAM (to obtain information from the most recent proxy request) and one of the following values for the pname argument:

Parameter`` `` Description
GL_HISTOGRAM_WIDTH`` `` Histogram table width
GL_HISTOGRAM_FORMAT`` `` Internal
GL_HISTOGRAM_RED_SIZE`` `` Red component counter size, in bits
GL_HISTOGRAM_GREEN_SIZE`` `` Green component counter size, in bits

Parameter`` `` Description
GL_HISTOGRAM_BLUE_SIZE`` `` Blue component counter size, in bits
GL_HISTOGRAM_ALPHA_SIZE`` `` Alpha component counter size, in bits
GL_HISTOGRAM_LUMINANCE_SIZE`` `` Luminance component counter size, in bits
GL_HISTOGRAM_SINK`` `` Value of the sink parameter

## Notes

glGetHistogramParameter is present only if GL_ARB_imaging is returned when glGetString is called with an argument of GL_EXTENSIONS.

## Errors

GL_INVALID_ENUM is generated if target is not one of the allowable values.

GL_INVALID_ENUM is generated if pname is not one of the allowable values.

GL_INVALID_OPERATION is generated if glGetHistogramParameter is executed between the execution of glBegin and the corresponding execution of glEnd.

## See Also

glGetHistogram(3G) , glHistogram(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also